import type { App } from "./app.js";
import type { Collection } from "./collection_model.js";
import { GeoPoint } from "../tools/types/index.js";
import { type Field, type RecordLike } from "./field.js";
export declare const FieldTypeGeoPoint = "geoPoint";
export declare class GeoPointField implements Field {
    Name: string;
    Id: string;
    System: boolean;
    Hidden: boolean;
    Presentable: boolean;
    Help: string;
    Required: boolean;
    Type(): string;
    GetId(): string;
    SetId(id: string): void;
    GetName(): string;
    SetName(name: string): void;
    GetSystem(): boolean;
    SetSystem(system: boolean): void;
    GetHidden(): boolean;
    SetHidden(hidden: boolean): void;
    ColumnType(_app: App): string;
    PrepareValue(_record: unknown, raw: unknown): GeoPoint;
    ValidateValue(_ctx: unknown, _app: App, record: RecordLike): Error | null;
    ValidateSettings(_ctx: unknown, _app: App, _collection: Collection): Error | null;
}
